commit cf25b03ce1be8ded37773c01e3ac5b11ddc37976
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 23 00:17:08 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 388cb5a1104..9e0e09f94a1 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,21 @@
+2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	Backported from master:
+	2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	PR rtl-optimization/97439
+	* dfp.c (decimal_real_maxval): Set the sign flag in the
+	generated number.
+
+2020-10-22  Kito Cheng  <kito.cheng@sifive.com>
+
+	Backported from master:
+	2020-10-14  Kito Cheng  <kito.cheng@sifive.com>
+
+	PR target/96759
+	* expr.c (expand_assignment): Handle misaligned stores with PARALLEL
+	value.
+
 2020-10-21  liuhongt  <hongtao.liu@intel.com>
 
 	PR target/97506
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d3ccbf5b38e..b3873063e3e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201022
+20201023
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index b64d2dc7599..bda8123fc88 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2020-10-22  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2020-10-22  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/97328
+	* constexpr.c (init_subob_ctx): Don't punt on RANGE_EXPR
+	indexes, instead build a sub-aggregate initialization context
+	with no subobject.
+
 2020-10-20  Marek Polacek  <polacek@redhat.com>
 
 	* pt.c (tsubst_copy_and_build): Use cxx2a.
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 0fda3805a86..960e0c5cff3 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,16 @@
+2020-10-22  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2020-10-16  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/95979
+	* expr.c (gfc_check_init_expr): Fix check of return code from
+	gfc_intrinsic_func_interface.
+	* intrinsic.c (gfc_intrinsic_func_interface): Add further attempt
+	of simplification of elemental intrinsics with array arguments.
+	* iresolve.c (gfc_resolve_index_func): Keep optional KIND argument
+	for simplification of elemental use of INDEX.
+
 2020-10-08  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 30fa3175492..66a258ace12 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,36 @@
+2020-10-22  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2020-10-16  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/95979
+	* gfortran.dg/index_4.f90: New test.
+
+2020-10-22  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2020-10-22  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/97328
+	* g++.dg/cpp2a/constexpr-init19.C: New test.
+	* g++.dg/cpp2a/constexpr-init20.C: New test.
+
+2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	Backported from master:
+	2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	* gcc.dg/dfp/pr97439.c: New test.
+
+2020-10-22  Kito Cheng  <kito.cheng@sifive.com>
+
+	Backported from master:
+	2020-10-14  Kito Cheng  <kito.cheng@sifive.com>
+
+	PR target/96759
+	* g++.target/riscv/pr96759.C: New.
+	* gcc.target/riscv/pr96759.c: New.
+
 2020-10-21  liuhongt  <hongtao.liu@intel.com>
 
 	PR target/97506

